name='noisetorch'
version='0.12.2'
release='1'
desc='NoiseTorch-ng is an easy to use open source application for Linux with PulseAudio or PipeWire. It creates a virtual microphone that suppresses noise, in any application.'
homepage='https://github.com/noisetorch/NoiseTorch'
architectures=('amd64')
license=('GPLv3')
provides=('noisetorch')
conflicts=('noisetorch')

deps=('git go')
build_deps=('git' 'go')

sources=("https://github.com/noisetorch/NoiseTorch.git")

checksums=('skip')

prepare() {
cd "${srcdir}"

}

build() {
cd "${srcdir}
make
}

package() {
install -Dm755 "./.bin/noisetorch" "${pkgdir}/usr/bin"
install -Dm644 ./assets/noisetorch.desktop "${pkgdir}/usr/share/applications/"
install -Dm644 ./assets/icon/noisetorch.png "${pkgdir}/usr/share/icons/hicolor/256x256/apps/"
}